Subject: Beta 19 status
From: [email-masked] (Geoffrey Noer)

15 Jul 1997 20:54:51 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Mumit Khan)
Original-Cc: [email-masked], [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Mumit Khan" at Jul 15, 97 00:05:17 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

> Any comment from the Cygnus folks? Any chance of a alpha snapshot?

I'm especially time contrainted right now so the beta 19 release will be
the next thing to be done on my end.  I am working on it as I write but it
may be several weeks until it's ready for release.  There are quite a few
mods to test, both inside winsup and out:

* new winsup pty support
* much better signals/exceptions support
* lots and lots of misc. winsup fixes although I'm sure plenty of bugs
	remain
* PE format change -- better compatibility with MS compiler/linker
* better g++ template support (g++ had some problems in beta 18)
* new resource compiler
* switch to bfd-based assembler
* dlltool fixes
* gdb GUI fixes

The timeframe depends mostly on how time consuming the other stuff I'm
doing for Cygnus ends up being and how many problems I run into during
testing.  My current plan is to have it done by mid-August or earlier but
that may slip.  I may well make an alpha snapshot first but this won't be
until shortly before the release.

Cheers,

Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".